JSListPicker module - Patch #151

Extending the JSListpicker
09/06/2010 11:59 AM - Victor Rojo Carballo

Status: Closed Start date: 09/06/2010
Priority: Normal Due date:

Assignee: Robert Ivens % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Hi Robert!
| add some capabilities to the JSListpicker (v0.9.2) that are useful for me and | think that maybe you want to add them to your
module:

*form.editableColumns (Array with the name of the columns that you want to allow edit)

*form.columValuelists (Object with valuelists for the columns that need it. Must be filled like {columName1: valuelistName1,
columName2: valuelistName?2 ...})

*callback.closeAfterNew (Boolean. If false doesn't close the form after the createNewMethod callback)

These changes allow me to create new records and edit them in the same form. They shouldn't break the behaviour of a JSListpicker
v0.9.2.

Best regards.

Victor

History

#1 - 09/06/2010 12:17 PM - Victor Rojo Carballo
- File patch_Listpicker.txt added

Sorry use this patch, | fixed the property name form.columValuelists->form.columnValuelists (I missed the n after the m in column hehe)

#2 - 09/07/2010 09:44 PM - Robert Ivens
- Status changed from New to Closed

- % Done changed from 0 to 100

Patch committed.

Thanks!
